org.apache.ignite.internal.util.future

## Class GridFutureChainListener<T,R>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureChainListener<T,R>

All Implemented Interfaces:
  Serializable, IgniteInClosure<IgniteInternalFuture<T>>

    public class GridFutureChainListener<T,R>
    extends Object
    implements IgniteInClosure<IgniteInternalFuture<T>>

Future listener to fill chained future with converted result of the source future.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridFutureChainListener(GridFutureAdapter<R> fut, IgniteClosure<? super IgniteInternalFuture<T>,R> doneCb)` Constructs chain listener.

### Method Summary

Methods
`void` `apply(IgniteInternalFuture<T> t)` Closure body.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridFutureChainListener

    public GridFutureChainListener(GridFutureAdapter<R> fut,
                           IgniteClosure<? super IgniteInternalFuture<T>,R> doneCb)

Constructs chain listener.

Parameters:
  `fut` - Target future.
  `doneCb` - Done callback.

### Method Detail

#### apply

    public void apply(IgniteInternalFuture<T> t)

Closure body.

Specified by:
  `apply` in interface `IgniteInClosure<IgniteInternalFuture<T>>`
Parameters:
  `t` - Closure argument.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016